Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

1. Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Moises Viana Felipe
viana3

(usa openSUSE)

Enviado em 26/08/2017 - 21:28h

Estou usando o openSUSE 42.3, e o KDE informa que há atualizações, mas ao clicar em instalar, corre erro. As atualização que ele informa que estão disponíveis são, libopencore-amrnb0(0.1.5-1.1) e opensuse-2017-932. Alguém saberia como solucionar ?


  


2. MELHOR RESPOSTA

Ulrich Beckmann
Bequimao.de

(usa openSUSE)

Enviado em 29/08/2017 - 03:11h

Me lembro que respondi à sua pergunta em outro tópico
https://www.vivaolinux.com.br/topico/openSUSE-Linux-Brasil/Instalar-KDE-5-no-OpenSuse-421-instalado-...
que a instalação paralela de vários desktops não tem suporte comunitário no openSUSE. Isto também vale para a remocão do Gnome. O Gnome e o KDE Plasma simplesmente não combinam.

O seu Plasma também é bagunçado: você vê que o # zypper dup tenta substuitir o kontact5 pelo kontact que é do antigo Plasma 4.x. Talvez haja uma solução no terminal, mas não é do meu interesse. Recomendaria uma instalação nova, limpa.

Abs
Bequimão

3. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Ulrich Beckmann
Bequimao.de

(usa openSUSE)

Enviado em 27/08/2017 - 04:46h

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


4. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 27/08/2017 - 08:53h

Realizei a atualização sem problemas via terminal utilizando os comandos citados acima pelo Bequimão.

Carlos Filho

http://opensusebr.blogspot.com.br/



5. Re: Atualização problemática no OpenSUSE 42.3

Moises Viana Felipe
viana3

(usa openSUSE)

Enviado em 27/08/2017 - 10:13h

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



6. Re: Atualização problemática no OpenSUSE 42.3

Ulrich Beckmann
Bequimao.de

(usa openSUSE)

Enviado em 27/08/2017 - 12:04h

Não sei, o que é o repo MEGAsync. Eu o daria uma prioridade maior no YaST, Gerenciamento de Repositórios, ou excluiria ele das atualizações do sistema. Uma prioridade maior é um número menor de 99, o Packman aqui tem uma prioridade de 20.

Cada vez, quando se muda algo nos repositórios se tem que invocar
# zypper refresh
# zypper dist-upgrade


A ferramenta no painel do KDE Plasma chama-se plasma-pk-updates ou plasma5-pk-updates. Ela não invoca os comandos zypper, mas é um backend do packagekit, uma ferramenta de atualização genérica de vários sistemas de gerenciamento de pacotes no Linux. Outros são o Apper, Plasma Discover, Gnome Software e pkcon. A atualização do sistema no YaST gerencia comandos do zypper.

O zypper e o packagekit usam o mesmo solucionador de dependências no openSUSE, mas não tem garantia que isto leva sempre aos mesmos resultados, somente a longo prazo.

Para limpar o cache do packagekit use o comando
# pkcon refresh force -c -1 


Para limpar o cache do banco de dados rpm
# rpm --rebuilddb 

Mas o último não é indicado aqui, porque sabemos que não há inconsistências.

Abs
Bequimão




7. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 27/08/2017 - 12:28h

viana3 escreveu:

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



A linha de número 2 dos seus repositórios esta direcionado a versão anterior 42.2
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |

Remova ela e faça a substituição para o repositório da versão 42.3

sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ DVD

Importe a chave de assinatura do mesmo:

sudo rpm --import http://opensuse-guide.org/repo/openSUSE_Leap_42.3/repodata/repomd.xml.key

Depois atualize.

Carlos Filho

http://opensusebr.blogspot.com.br/



8. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Moises Viana Felipe
viana3

(usa openSUSE)

Enviado em 27/08/2017 - 13:46h

Bequimao.de escreveu:

Não sei, o que é o repo MEGAsync. Eu o daria uma prioridade maior no YaST, Gerenciamento de Repositórios, ou excluiria ele das atualizações do sistema. Uma prioridade maior é um número menor de 99, o Packman aqui tem uma prioridade de 20.

Cada vez, quando se muda algo nos repositórios se tem que invocar
# zypper refresh
# zypper dist-upgrade


A ferramenta no painel do KDE Plasma chama-se plasma-pk-updates ou plasma5-pk-updates. Ela não invoca os comandos zypper, mas é um backend do packagekit, uma ferramenta de atualização genérica de vários sistemas de gerenciamento de pacotes no Linux. Outros são o Apper, Plasma Discover, Gnome Software e pkcon. A atualização do sistema no YaST gerencia comandos do zypper.

O zypper e o packagekit usam o mesmo solucionador de dependências no openSUSE, mas não tem garantia que isto leva sempre aos mesmos resultados, somente a longo prazo.

Para limpar o cache do packagekit use o comando
# pkcon refresh force -c -1 


Para limpar o cache do banco de dados rpm
# rpm --rebuilddb 

Mas o último não é indicado aqui, porque sabemos que não há inconsistências.

Abs
Bequimão



repo MEGAsync refere-se ao software que sincroniza meus arquivos do computador com os do MEGA.


9. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Moises Viana Felipe
viana3

(usa openSUSE)

Enviado em 27/08/2017 - 13:51h

carlosfilho escreveu:

viana3 escreveu:

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



A linha de número 2 dos seus repositórios esta direcionado a versão anterior 42.2
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |

Remova ela e faça a substituição para o repositório da versão 42.3

sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ DVD

Importe a chave de assinatura do mesmo:

sudo rpm --import http://opensuse-guide.org/repo/openSUSE_Leap_42.3/repodata/repomd.xml.key

Depois atualize.

Carlos Filho

http://opensusebr.blogspot.com.br/


Fiz exatamente conforme você indicou.


10. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 27/08/2017 - 17:12h

viana3 escreveu:

carlosfilho escreveu:

viana3 escreveu:

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



A linha de número 2 dos seus repositórios esta direcionado a versão anterior 42.2
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |

Remova ela e faça a substituição para o repositório da versão 42.3

sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ DVD

Importe a chave de assinatura do mesmo:

sudo rpm --import http://opensuse-guide.org/repo/openSUSE_Leap_42.3/repodata/repomd.xml.key

Depois atualize.

Carlos Filho

http://opensusebr.blogspot.com.br/


Fiz exatamente conforme você indicou.


E deu certo??

Carlos Filho

http://opensusebr.blogspot.com.br/



11. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Moises Viana Felipe
viana3

(usa openSUSE)

Enviado em 27/08/2017 - 18:27h

carlosfilho escreveu:

viana3 escreveu:

carlosfilho escreveu:

viana3 escreveu:

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



A linha de número 2 dos seus repositórios esta direcionado a versão anterior 42.2
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |

Remova ela e faça a substituição para o repositório da versão 42.3

sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ DVD

Importe a chave de assinatura do mesmo:

sudo rpm --import http://opensuse-guide.org/repo/openSUSE_Leap_42.3/repodata/repomd.xml.key

Depois atualize.

Carlos Filho

http://opensusebr.blogspot.com.br/


Fiz exatamente conforme você indicou.


E deu certo??

Carlos Filho

http://opensusebr.blogspot.com.br/


Não, quando clico no ícone ele tenta atualizar e diz que há erro de dependência. Seria este problema decorrente do fato de anteriormente, eu estava usando Gnome, e desinstalei e coloquei o KDE ?


12. Re: Atualização problemática no OpenSUSE 42.3 [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 27/08/2017 - 19:41h

viana3 escreveu:

carlosfilho escreveu:

viana3 escreveu:

carlosfilho escreveu:

viana3 escreveu:

Bequimao.de escreveu:

Por favor, poste os repositórios instalados como root:

# zypper repos -d 



Tente uma atualização no terminal como root:

# zypper refresh

# zypper verify

# zypper update


O # zypper verify mostra a integridade das dependências.

Abs
Bequimão


1 | MEGAsync | MEGAsync | Sim | (r ) Sim | Sim | 99 | rpm-md | https://mega.nz/linux/MEGAsync/openSUSE_Leap_42.2/ |
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |
3 | google-chrome | google-chrome | Sim | ( p) Sim | Sim | 99 | rpm-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64 |
4 | http-download.opensuse.org-e264daf4 | Education | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_Leap_42.3/ |
5 | packman | packman | Sim | (r ) Sim | Sim | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
6 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
7 | repo-oss | openSUSE-Leap-42.3-Oss | Sim | (r ) Sim | Sim | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
8 | repo-update | openSUSE-Leap-42.3-Update | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
9 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Sim | (r ) Sim | Sim | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |

Fiz conforme você indicou, no terminal diz que não há nada a fazer, mas na barra inferior do KDE, diz que falta uma atualização, a opensuse-2017-932.



A linha de número 2 dos seus repositórios esta direcionado a versão anterior 42.2
2 | dvd | dvd | Não | ---- | ---- | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.2/ |

Remova ela e faça a substituição para o repositório da versão 42.3

sudo zypper ar -f http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ DVD

Importe a chave de assinatura do mesmo:

sudo rpm --import http://opensuse-guide.org/repo/openSUSE_Leap_42.3/repodata/repomd.xml.key

Depois atualize.

Carlos Filho

http://opensusebr.blogspot.com.br/


Fiz exatamente conforme você indicou.


E deu certo??

Carlos Filho

http://opensusebr.blogspot.com.br/


Não, quando clico no ícone ele tenta atualizar e diz que há erro de dependência. Seria este problema decorrente do fato de anteriormente, eu estava usando Gnome, e desinstalei e coloquei o KDE ?


Bem eu utilizo com Gnome durante a atualização o pacote opensuse-2017-932 não apareceu para ser atualizado.

Carlos Filho

http://opensusebr.blogspot.com.br/




01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts